#
#  FILE NAME:
#      module_settings.py
#
#  AUTHOR(S):
#      Dariusz Walczak <dariusz.walczak@gmail.com>
#

# Standard library modules:
import logging

# P3 modules:
from p3.base.import_helpers import import_module
from p3.conf.settings import Settings


_LOG = logging.getLogger( "p3.conf" )


## \todo Should be unit tested.
def module_settings( module_path ):
    m = import_module( module_path )
    sd = dict([(k,v) for k,v in m.__dict__.items() if Settings.is_valid_setting_name(k)])
    return Settings.create_locked( sd )
